<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myPersonalCustomerLabel" jhiTranslate="mpmApp.personalCustomer.home.createOrEditLabel">Create or edit a Personal Customer</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>

        <div class="form-group">
            <label for="idCustomer" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="idCustomer" name="idCustomer" [(ngModel)]="personalCustomer.idCustomer"/>
        </div>

        <jhi-person-view [person]="personalCustomer.person"></jhi-person-view>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
